Index: palm/trunk/EXAMPLES/test_salsa/test_salsa_p3d
===================================================================
--- palm/trunk/EXAMPLES/test_salsa/test_salsa_p3d	(revision 3467)
+++ palm/trunk/EXAMPLES/test_salsa/test_salsa_p3d	(revision 3864)
@@ -10,5 +10,5 @@
     nx                   = 19,
     ny                   = 19,
-    nz                   = 22,
+    nz                   = 60,
 
     dx                   = 2.0,
@@ -43,5 +43,5 @@
     
     day_of_year_init     =  65,          ! March 06, to avoid extreme temperatures
-    time_utc_init        = 0.0,
+    time_utc_init        = 71700.0,      !(19:55, UTC in seconds)
 
 !
@@ -100,6 +100,5 @@
                             '#v',  'v*2',  'wv',  'w*v*',  'w"v"',
                             'w',   'w*2',
-                            '#pt', 'pt*2', 'wpt', 'w*pt*', 'w"pt"',
-                            'e', 'e*', '#km', '#l',
+
 !
 !-- 2D/3D output settings
@@ -115,6 +114,5 @@
                   's_SO4', 's_OC', 's_BC', 's_NH', 's_NO',
                   'g_H2SO4','g_HNO3','g_NH3','g_OCNV','g_OCSV',
-                  'N_bin1', 'N_bin2', 'N_bin3', 'N_bin4', 'N_bin5', 
-                  'N_bin6', 'N_bin7', 'N_bin8', 'N_bin9', 'N_bin10',
+                  'N_bin3', 'm_bin4', 
 
  / ! end of d3par namelist
@@ -150,7 +148,7 @@
 !
 !-- If isdtyp = 0, define the initial aerosol size distribution by dpg, sigmag and n_lognorm
- !   dpg       = 0.01347865, 0.05400739, 0.86411863, ! mean diameter per mode (micrometres)
- !   sigmag    =        1.8,       2.16,       2.21, ! standard deviation per mode 
- !   n_lognorm =     1434.0,      445.9,      0.07,  ! number concentration per mode (#/cm3)
+ !   dpg       = 13.5E-9, 54.0E-9, 864.1E-9, ! mean diameter per mode (in metres)
+ !   sigmag    =     1.8,    2.16,     2.21, ! standard deviation per mode 
+ !   n_lognorm =  1.43E9,  4.45E8,    7.0E4, ! number concentration per mode (#/m3)
 
 !
@@ -176,6 +174,6 @@
 !
 !-- Sectional presentation of the particle size distribution
-    reglim = 3.0E-9, 5.0E-8, 2.5E-6, ! limits of the subranges (m)
-    nbin   = 3, 7,                   ! number of bins per subrange 
+    reglim = 3.0E-9, 1.0E-8, 2.5E-6, ! limits of the subranges (m)
+    nbin   = 1, 7,                   ! number of bins per subrange 
 !-- NOTE! Subrange 1 consists only of H2SO4 and/or OC
     nf2a   = 1.0,	             ! Number fraction allocated to subrange 2a (b-bins will get 1-nf2a) 
@@ -183,6 +181,15 @@
 !
 !-- Aerosol emissions:
-    salsa_source_mode = 'read_from_file', 
-!-- NOTE! chemical components of the source have to be activated in 'listspec'
+    salsa_emission_mode = 'read_from_file', ! 'no_emission','uniform' or 'read_from_file'
+
+!-- If salsa_source_mode = 'uniform', set emissions based on the variables below:
+ !   aerosol_flux_dpg     = 8.0E-9, 60.0E-9, 1000.0E-9,  ! mean diameter per mode (metres)
+ !   aerosol_flux_sigmag  =    1.8,    2.16,      2.21,  ! standard deviation per mode 
+ !   surface_aerosol_flux = 1.0E8,  1.0E9,       1.0E5,  ! number concentration per mode (#/m3)
+ !   aerosol_flux_mass_fracs_a = 0.3, 0.0, 0.6, 0.0, 0.0, 0.0, 0.0,  ! order: listspec
+ !   aerosol_flux_mass_fracs_b = 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  ! order: listspec
+
+!-- NOTE! chemical components of the source have to be activated in 'listspec' 
+!--       and have to be in the same order
 
 !
@@ -201,17 +208,20 @@
 !
 !-- Switches for aerosol processes:
-    nldistupdate = .T.,
+    nldistupdate = .T., ! update aerosol size distribution
     nldepo       = .T., ! Deposition master switch
-    nldepo_vege  = .T., ! Deposition on vegetation
-    nldepo_topo  = .T., ! Deposition on walls
-    nlcnd        = .T., ! Condensation master switch
-    nlcndgas     = .T., ! Condensation of precursor gases
+    nldepo_pcm   = .T., ! Deposition on vegetation
+    nldepo_surf  = .T., ! Deposition on walls
+    nlcnd        = .F., ! Condensation master switch
+    nlcndgas     = .F., ! Condensation of precursor gases
     nlcndh2oae   = .F., ! Condensation of H2O on aerosols                          
-    nlcoag       = .T., ! Coagulation master switch
-    nsnucl       =  1,  ! Nucleation scheme (0 = off)
+    nlcoag       = .F., ! Coagulation master switch
+    nsnucl       =  0,  ! Nucleation scheme (0 = off)
     nj3          =  1,  ! J3 parametrization for nucleation 
-
-    depo_vege_type = 'zhang2001',
-    depo_topo_type = 'zhang2001',
+!
+!-- Deposition on vegetation (pcm = plant canopy model)
+    depo_pcm_par = 'zhang2001',  ! or 'petroff2010'
+!
+!-- Deposition on on ground, walls and roofs
+    depo_surf_par = 'zhang2001', ! or 'petroff2010'
 
 !
@@ -219,4 +229,5 @@
     advect_particle_water   = .T.,   ! particle water: advect or calculate at each dt_salsa 
     feedback_to_palm        = .F.,   ! feedback to flow due to condensation of water
+    nest_salsa              = .F.,   ! apply nesting for salsa
     read_restart_data_salsa = .F.,   ! skip reading restart data even if it's done for the flow
     write_binary_salsa      = .F.,   ! skip writing restart data even if it's done for the flow
